.modal {
  display: block;
  position: fixed;
  z-index: 10;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.5);
  color: white;
}

.modal-body {
  background: indianred;
  width: 400px;
  margin: 30px auto;
  border-radius: 10px;
}

.modal-header {
  padding: 0 20px;
  display: flex;
  justify-content: space-between;
  background: darkred;
  align-items: center;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.close-button {
  font-size: 26px;
  cursor: pointer;
}

.header-text {
  font-weight: bold;
  font-size: 20px;
  margin-right: 10px;
}

.modal-text {
  padding: 0 20px;
  text-align: center;
}

.action-buttons {
  width: 150px;
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin: 0 auto;
  padding: 10px;
}

.action-button {
  border-radius: 5px;
  border: none;
  color: white;
  background: darkred;
  padding: 10px;
  cursor: pointer;
  outline: none;

  &:hover {
    background: darken(darkred, 10%);
  }
}